Subject: Re: [MMUSIC] WGLC for draft-ietf-mmusic-rtsp-nat-14

From: Magnus Westerlund <[email-masked]>
Date: Fri, 14 Dec 2012 10:13:20 +0100

Hi,

In the editing of Ari's comments I found the following issue that I have
attempted to address:

Section 4.2:
   <component-id>:  identifies the specific component of the media
      stream for which this is a candidate and is a positive integer
      between 1 and 256.  It MUST start at 1 and MUST increment by 1 for
      each component of a particular candidate.  For media streams based
      on RTP, candidates for the actual RTP media MUST have a component
      ID of 1, and candidates for RTCP MUST have a component ID of 2.

The last sentence MUST is not compatible with RTP/RTCP multiplexing
using RFC 5761 as defined by Section 7. Thus I have reworded it to:

For media streams based on RTP, candidates for the actual RTP media MUST
have a component ID of 1, and candidates for RTCP MUST have a component
ID of 2 unless RTP and RTCP Multiplexing (Section 7) is used when the
second component is omitted and RTP and RTCP is both transported over
the first component.

Feedback on this change would be appreciated.

Cheers

Magnus

On 2012-11-20 22:55, Flemming Andreasen wrote:
> This is to announce a 2 week Working Group Last Call for
> 
>     draft-ietf-mmusic-rtsp-nat-14
> 
> as Proposed Standard. Please review and provide any comments you may
> have on the document by December 5, 2012. Comments should be sent to the
> document authors and the MMUSIC WG list. If you review the document but
> do not have any comments, please send a note to that effect as well.
> 
> 
> Thanks
> 
>        Flemming
> 
> 
> Draft Info:
> 
>  This draft is a work item of the Multiparty Multimedia Session Control Working Group of the IETF.
> 
> 	Title           : A Network Address Translator (NAT) Traversal mechanism for media controlled by Real-Time Streaming Protocol (RTSP)
> 	Author(s)       : Jeff Goldberg
>                           Magnus Westerlund
>                           Thomas Zeng
> 	Filename        : draft-ietf-mmusic-rtsp-nat-14.txt
> 	Pages           : 31
> 	Date            : 2012-11-15
> 
> Abstract:
>    This document defines a solution for Network Address Translation
>    (NAT) traversal for datagram based media streams setup and controlled
>    with Real-time Streaming Protocol version 2 (RTSP 2.0).  It uses
>    Interactive Connectivity Establishment (ICE) adapted to use RTSP as a
>    signalling channel, defining the necessary extra RTSP extensions and
>    procedures.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-mmusic-rtsp-nat
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-mmusic-rtsp-nat-14
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-mmusic-rtsp-nat-14
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
> 

-- 

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------